% This is a demo code for using 
% synset Koala n01882714


homefolder = './ImNet_images/';        %set homefolder to a path where you want to store the ImageNet images
wnid = 'n01882714';          %subfolder for the synset
sns_folder = [homefolder wnid '/'];

load ./AEGP_family_boxes_web.mat % loading the boxes

%%
synset_id = find(strcmp(wnid, synset_names)); %find the id of the synset

file_list = dir(sns_folder);

for f = 3: length(file_list)
    
    % read an image from the folder
    image = imread([sns_folder file_list(f).name]);
    image_name = file_list(f).name(1:end-5);
    
    % find the output for the image
    im_i = 1;
    while im_i < length(synset_boxes{synset_id}) && ~strcmp(synset_boxes{synset_id}(im_i).imid, image_name)        
        im_i = im_i + 1;
    end
    
    %display the image with the box
    imshow(image);
    drawBoxes(synset_boxes{synset_id}(im_i).box,[1 0 0], 1);
    pause;
    
end