% this demo downloads a synset from ImageNet and display the output of our
% method for it

homefolder = './ImNet_images/';        %set homefolder to a path where you want to store ImageNet synsets

userName = 'username';   % a valid userName and accessKey
accessKey = 'accesskey'; 

wnid = 'n01882714'; % an example synset
sns_folder = [homefolder wnid '/'];

isRecursive = 1;            

mkdir(homefolder);
mkdir([homefolder wnid '/']);

load ./AEGP_family_boxes_web.mat

%%
downloadImages(sns_folder, userName, accessKey, wnid, isRecursive)

t=wnidToDefinition(fullfile(sns_folder, 'structure_released.xml'), wnid)

system(['tar -xvf ' sns_folder wnid '.tar -C'  sns_folder]);
%%
synset_id = find(strcmp(wnid, synset_names));

for i = 1 : length(synset_boxes{synset_id})
    image = imread([sns_folder synset_boxes{synset_id}(i).imid '.JPEG']);
    image = ap_drawbox(image, synset_boxes{synset_id}(i).box, [1 0 0]);
    imshow(image);
    pause;
end